//--------------------------------------------------------------
// File     : main.c
// Datum    : 09.05.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der IRMP-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_irmp.h"
#include "stm32_ub_led.h"

int main(void)
{
  IRMP_DATA  myIRData;  // Variable fr IR-Daten

  SystemInit(); // Quarz Einstellungen aktivieren

  // init aller LEDs
  UB_Led_Init();

  // init vom IRMP
  UB_IRMP_Init();

  while(1)
  {
    // IR-Daten pollen
    if(UB_IRMP_Read(&myIRData)==TRUE) {
      // wenn IR-Daten empfangen wurden
      if(myIRData.address==65280) {
        // wenn Adresse vom IR-Device stimmt

        // Test ob Taste "1" gedrueckt wurde
        if(myIRData.command==137) UB_Led_On(LED_GREEN); else UB_Led_Off(LED_GREEN);
        // Test ob Taste "2" gedrueckt wurde
        if(myIRData.command==157) UB_Led_On(LED_ORANGE); else UB_Led_Off(LED_ORANGE);
        // Test ob Taste "3" gedrueckt wurde
        if(myIRData.command==159) UB_Led_On(LED_RED); else UB_Led_Off(LED_RED);
        // Test ob Taste "4" gedrueckt wurde
        if(myIRData.command==141) UB_Led_On(LED_BLUE); else UB_Led_Off(LED_BLUE);
      }
    }
  }
}

